org.apache.ignite.internal.processors.cache.persistence.snapshot

## Interface SnapshotDiscoveryMessage

All Superinterfaces:
  DiscoveryCustomMessage, Serializable

    public interface SnapshotDiscoveryMessage
    extends DiscoveryCustomMessage

Initial snapshot discovery message with possibility to trigger exchange.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `needAssignPartitions()`
`boolean` `needExchange()` Is exchange needed after receiving this message.

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`ackMessage, createDiscoCache, id, isMutable`

### Method Detail

#### needExchange

    boolean needExchange()

Is exchange needed after receiving this message.

Returns:
  True if exchange is needed, false in other case.

#### needAssignPartitions

    boolean needAssignPartitions()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020